<template>
  <div class="bg" @click="goGravity()">
      <img class="calpis" src="../../assets/images/calpis.png" alt="">
     <img class="text" ref="text" src="/static/img/text.png" alt="">
  </div>
</template>

<script>

    export default {
        name: 'Home',  
        data() {
            return {
                iscomplete: false
            }
        },
        //  beforeRouteEnter (to, from, next) {
        //     next(vm => {
        //         //清空所有缓存 
        //         if(from.name === 'First'){
        //             localStorage.removeItem('avatarUrl')
        //             localStorage.removeItem('gender')
        //             localStorage.removeItem('random_star')
        //         }
        //     });
        // },
        methods: {
            goGravity() {
                this.$router.replace('/before_gravity')
            }
        },
        mounted() {
             let that = this
            //监听到文字动画结束时进入下一个页面
            this.$refs.text.addEventListener('animationend', function() {
                that.$router.replace('/before_gravity')
            }, false)
        }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    .bg {
        width: 100%;
        height: 100%;
        background: url('/static/img/bg.png') center;
        background-size: cover;
        padding-top: 20%;
        box-sizing: border-box;
        overflow: hidden;
        margin: 0 auto;
        position: relative;
        text-align: center;
    }
    
    img {
        width: 100%
    }
    
    .calpis {
        width: 60%;
        opacity: 0;
        margin:  0 auto;
        animation: show 9s ease-in;
    }
    
    .text {
        width: 75%;
        opacity: 0;
        transform: translate(0, 300px);
        margin:  20px auto;
        animation: slideInUp 9s ease-in;

    }
    
    @-webkit-keyframes show {
        0% {
            opacity: 0;
        }
        15% {
            opacity: 1;
        }
        85% {
            opacity: 1;
            transform: rotateX(0) scale(1) translate(0%, 0%);
        }
        100% {
            opacity: 0;
            transform: rotateX(-50deg) scale(0.4, 0.4) translate(0%, 0%);
        }
    }
    
    @keyframes show {
        0% {
            opacity: 0;
        }
        15% {
            opacity: 1;
        }
        85% {
            opacity: 1;
            transform: rotateX(0) scale(1) translate(0%, 0%);
        }
        100% {
            opacity: 0;
            transform: rotateX(-50deg) scale(0.4, 0.4) translate(0%, 0%);
        }
    }
    
    @-webkit-keyframes slideInUp {
        0% {
            transform: translate(0, 100%);
        }
        15% {
            opacity: 1;
            transform: rotateX(0) scale(1) translate(0%, 0%);
        }
        85% {
            opacity: 1;
            transform: scale(1) translate(0%, 0%) ;
        }
        100% {
            opacity: 0;
            transform: rotateX(-50deg) scale(0.4, 0.4) translate(0%, -220%);
        }
    }
    
    @keyframes slideInUp {
        0% {
            transform: translate(0, 300px);
        }
        15% {
            opacity: 1;
            transform: rotateX(0) scale(1) translate(0%, 0);
        }
        85% {
            opacity: 1;
            transform: scale(1) translate(0%, 0%) translate(0%, 0);
        }
        100% {
            opacity: 0;
            transform: rotateX(-50deg) scale(0.4, 0.4) translate(0%, -640px);
        }
    }
</style>